UDF/configure.ac is incompatible with automake 1.12

Bug #1099387 reported by Alexey Bychko on 2013-01-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Percona Server moved to https://jira.percona.com/projects/PS
Fix Released
Medium
Laurynas Biveinis
5.1
Won't Fix
Wishlist
Unassigned
5.5
Fix Released
Medium
Alexey Bychko
5.6
Fix Released
Medium
Laurynas Biveinis

Bug Description

 `--> sh build/build-binary.sh .
rm -rf Percona-Server-5.5.28-rel29.3-release Percona-Server-5.5.28-rel29.3-debug
Prepare Percona Server sources
rm -rf Percona-Server-5.5.28-rel29.3 Percona-Server-5.5.28
ln -s Percona-Server Percona-Server-5.5.28-rel29.3
ln -s Percona-Server Percona-Server-5.5.28
cp -R HandlerSocket-Plugin-for-MySQL Percona-Server-5.5.28-rel29.3/storage
patch -p1 -d Percona-Server-5.5.28-rel29.3/storage < handlersocket.patch
patching file HandlerSocket-Plugin-for-MySQL/configure.ac
cp -R UDF "Percona-Server-5.5.28-rel29.3"
cd "Percona-Server-5.5.28-rel29.3"/UDF && autoreconf --install
libtoolize: Consider adding `AC_CONFIG_MACRO_DIR([m4])' to configure.ac and
libtoolize: rerunning libtoolize, to keep the correct libtool macros in-tree.
libtoolize: Consider adding `-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
libtoolize: `AC_PROG_RANLIB' is rendered obsolete by `LT_INIT'
automake-1.12: warnings are treated as errors
/usr/share/automake-1.12/am/ltlibrary.am: warning: 'libfnv1a_udf.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.12/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
src/Makefile.am:1: while processing Libtool library 'libfnv1a_udf.la'
/usr/share/automake-1.12/am/ltlibrary.am: warning: 'libfnv_udf.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.12/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
src/Makefile.am:1: while processing Libtool library 'libfnv_udf.la'
/usr/share/automake-1.12/am/ltlibrary.am: warning: 'libmurmur_udf.la': linking libtool libraries using a non-POSIX
/usr/share/automake-1.12/am/ltlibrary.am: archiver requires 'AM_PROG_AR' in 'configure.ac'
src/Makefile.am:1: while processing Libtool library 'libmurmur_udf.la'
autoreconf-2.69: automake failed with exit status: 1
make: *** [maatkit-udf] Error 1

to have quick fix:
add AM_PROG_AR as the second line to the UDF/configure.ac file (for compatibility with handlersocket.patch)

Related branches

Alexey Bychko (abychko) on 2013-02-20
tags: added: pkg

Alexey -

Why is it set to "Opinion" for 5.1?

Alexey Bychko (abychko) wrote :

1 - you can't compile for now 5.1 with automake < 1.11. not only UDF - the whole build fails
2 - automake > 1.11 can't be found on production systems
3 - automake > 1.11 can be found only on bleeding-edge systems and i see no reason for installing 5.1 on such systems

you can change it from Opinion to something else if my reasons above are wrong

If I understand correctly, the bug is there, but there are good reasons not to fix it, thus "Won't Fix."

Percona now uses JIRA for bug reports so this bug report is migrated to: https://jira.percona.com/browse/PS-1296

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers